Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network68.8.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
68.8.0.0
Broadcast address
68.8.255.255
First usable
68.8.0.1
Last usable
68.8.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Public public
Old class
A (default /8)
As numbers
Hex 44080000 · Integer 1141374976 to 1141440511
Reverse DNS zone
8.68.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01000100.00001000..00000000.0000000068.8.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network01000100.00001000..00000000.0000000068.8.0.0
Broadcast01000100.00001000..11111111.1111111168.8.255.255
Split into smaller subnets/24

68.8.0.0/16 makes 256 subnets of /24.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
168.8.0.0/2468.8.0.1 to 68.8.0.25468.8.0.255254
268.8.1.0/2468.8.1.1 to 68.8.1.25468.8.1.255254
368.8.2.0/2468.8.2.1 to 68.8.2.25468.8.2.255254
468.8.3.0/2468.8.3.1 to 68.8.3.25468.8.3.255254
568.8.4.0/2468.8.4.1 to 68.8.4.25468.8.4.255254
668.8.5.0/2468.8.5.1 to 68.8.5.25468.8.5.255254
768.8.6.0/2468.8.6.1 to 68.8.6.25468.8.6.255254
868.8.7.0/2468.8.7.1 to 68.8.7.25468.8.7.255254
968.8.8.0/2468.8.8.1 to 68.8.8.25468.8.8.255254
1068.8.9.0/2468.8.9.1 to 68.8.9.25468.8.9.255254
1168.8.10.0/2468.8.10.1 to 68.8.10.25468.8.10.255254
1268.8.11.0/2468.8.11.1 to 68.8.11.25468.8.11.255254
1368.8.12.0/2468.8.12.1 to 68.8.12.25468.8.12.255254
1468.8.13.0/2468.8.13.1 to 68.8.13.25468.8.13.255254
1568.8.14.0/2468.8.14.1 to 68.8.14.25468.8.14.255254
1668.8.15.0/2468.8.15.1 to 68.8.15.25468.8.15.255254
1768.8.16.0/2468.8.16.1 to 68.8.16.25468.8.16.255254
1868.8.17.0/2468.8.17.1 to 68.8.17.25468.8.17.255254
1968.8.18.0/2468.8.18.1 to 68.8.18.25468.8.18.255254
2068.8.19.0/2468.8.19.1 to 68.8.19.25468.8.19.255254
2168.8.20.0/2468.8.20.1 to 68.8.20.25468.8.20.255254
2268.8.21.0/2468.8.21.1 to 68.8.21.25468.8.21.255254
2368.8.22.0/2468.8.22.1 to 68.8.22.25468.8.22.255254
2468.8.23.0/2468.8.23.1 to 68.8.23.25468.8.23.255254
2568.8.24.0/2468.8.24.1 to 68.8.24.25468.8.24.255254
2668.8.25.0/2468.8.25.1 to 68.8.25.25468.8.25.255254
2768.8.26.0/2468.8.26.1 to 68.8.26.25468.8.26.255254
2868.8.27.0/2468.8.27.1 to 68.8.27.25468.8.27.255254
2968.8.28.0/2468.8.28.1 to 68.8.28.25468.8.28.255254
3068.8.29.0/2468.8.29.1 to 68.8.29.25468.8.29.255254
3168.8.30.0/2468.8.30.1 to 68.8.30.25468.8.30.255254
3268.8.31.0/2468.8.31.1 to 68.8.31.25468.8.31.255254
3368.8.32.0/2468.8.32.1 to 68.8.32.25468.8.32.255254
3468.8.33.0/2468.8.33.1 to 68.8.33.25468.8.33.255254
3568.8.34.0/2468.8.34.1 to 68.8.34.25468.8.34.255254
3668.8.35.0/2468.8.35.1 to 68.8.35.25468.8.35.255254
3768.8.36.0/2468.8.36.1 to 68.8.36.25468.8.36.255254
3868.8.37.0/2468.8.37.1 to 68.8.37.25468.8.37.255254
3968.8.38.0/2468.8.38.1 to 68.8.38.25468.8.38.255254
4068.8.39.0/2468.8.39.1 to 68.8.39.25468.8.39.255254
4168.8.40.0/2468.8.40.1 to 68.8.40.25468.8.40.255254
4268.8.41.0/2468.8.41.1 to 68.8.41.25468.8.41.255254
4368.8.42.0/2468.8.42.1 to 68.8.42.25468.8.42.255254
4468.8.43.0/2468.8.43.1 to 68.8.43.25468.8.43.255254
4568.8.44.0/2468.8.44.1 to 68.8.44.25468.8.44.255254
4668.8.45.0/2468.8.45.1 to 68.8.45.25468.8.45.255254
4768.8.46.0/2468.8.46.1 to 68.8.46.25468.8.46.255254
4868.8.47.0/2468.8.47.1 to 68.8.47.25468.8.47.255254
4968.8.48.0/2468.8.48.1 to 68.8.48.25468.8.48.255254
5068.8.49.0/2468.8.49.1 to 68.8.49.25468.8.49.255254
5168.8.50.0/2468.8.50.1 to 68.8.50.25468.8.50.255254
5268.8.51.0/2468.8.51.1 to 68.8.51.25468.8.51.255254
5368.8.52.0/2468.8.52.1 to 68.8.52.25468.8.52.255254
5468.8.53.0/2468.8.53.1 to 68.8.53.25468.8.53.255254
5568.8.54.0/2468.8.54.1 to 68.8.54.25468.8.54.255254
5668.8.55.0/2468.8.55.1 to 68.8.55.25468.8.55.255254
5768.8.56.0/2468.8.56.1 to 68.8.56.25468.8.56.255254
5868.8.57.0/2468.8.57.1 to 68.8.57.25468.8.57.255254
5968.8.58.0/2468.8.58.1 to 68.8.58.25468.8.58.255254
6068.8.59.0/2468.8.59.1 to 68.8.59.25468.8.59.255254
6168.8.60.0/2468.8.60.1 to 68.8.60.25468.8.60.255254
6268.8.61.0/2468.8.61.1 to 68.8.61.25468.8.61.255254
6368.8.62.0/2468.8.62.1 to 68.8.62.25468.8.62.255254
6468.8.63.0/2468.8.63.1 to 68.8.63.25468.8.63.255254
6568.8.64.0/2468.8.64.1 to 68.8.64.25468.8.64.255254
6668.8.65.0/2468.8.65.1 to 68.8.65.25468.8.65.255254
6768.8.66.0/2468.8.66.1 to 68.8.66.25468.8.66.255254
6868.8.67.0/2468.8.67.1 to 68.8.67.25468.8.67.255254
6968.8.68.0/2468.8.68.1 to 68.8.68.25468.8.68.255254
7068.8.69.0/2468.8.69.1 to 68.8.69.25468.8.69.255254
7168.8.70.0/2468.8.70.1 to 68.8.70.25468.8.70.255254
7268.8.71.0/2468.8.71.1 to 68.8.71.25468.8.71.255254
7368.8.72.0/2468.8.72.1 to 68.8.72.25468.8.72.255254
7468.8.73.0/2468.8.73.1 to 68.8.73.25468.8.73.255254
7568.8.74.0/2468.8.74.1 to 68.8.74.25468.8.74.255254
7668.8.75.0/2468.8.75.1 to 68.8.75.25468.8.75.255254
7768.8.76.0/2468.8.76.1 to 68.8.76.25468.8.76.255254
7868.8.77.0/2468.8.77.1 to 68.8.77.25468.8.77.255254
7968.8.78.0/2468.8.78.1 to 68.8.78.25468.8.78.255254
8068.8.79.0/2468.8.79.1 to 68.8.79.25468.8.79.255254
8168.8.80.0/2468.8.80.1 to 68.8.80.25468.8.80.255254
8268.8.81.0/2468.8.81.1 to 68.8.81.25468.8.81.255254
8368.8.82.0/2468.8.82.1 to 68.8.82.25468.8.82.255254
8468.8.83.0/2468.8.83.1 to 68.8.83.25468.8.83.255254
8568.8.84.0/2468.8.84.1 to 68.8.84.25468.8.84.255254
8668.8.85.0/2468.8.85.1 to 68.8.85.25468.8.85.255254
8768.8.86.0/2468.8.86.1 to 68.8.86.25468.8.86.255254
8868.8.87.0/2468.8.87.1 to 68.8.87.25468.8.87.255254
8968.8.88.0/2468.8.88.1 to 68.8.88.25468.8.88.255254
9068.8.89.0/2468.8.89.1 to 68.8.89.25468.8.89.255254
9168.8.90.0/2468.8.90.1 to 68.8.90.25468.8.90.255254
9268.8.91.0/2468.8.91.1 to 68.8.91.25468.8.91.255254
9368.8.92.0/2468.8.92.1 to 68.8.92.25468.8.92.255254
9468.8.93.0/2468.8.93.1 to 68.8.93.25468.8.93.255254
9568.8.94.0/2468.8.94.1 to 68.8.94.25468.8.94.255254
9668.8.95.0/2468.8.95.1 to 68.8.95.25468.8.95.255254
9768.8.96.0/2468.8.96.1 to 68.8.96.25468.8.96.255254
9868.8.97.0/2468.8.97.1 to 68.8.97.25468.8.97.255254
9968.8.98.0/2468.8.98.1 to 68.8.98.25468.8.98.255254
10068.8.99.0/2468.8.99.1 to 68.8.99.25468.8.99.255254
10168.8.100.0/2468.8.100.1 to 68.8.100.25468.8.100.255254
10268.8.101.0/2468.8.101.1 to 68.8.101.25468.8.101.255254
10368.8.102.0/2468.8.102.1 to 68.8.102.25468.8.102.255254
10468.8.103.0/2468.8.103.1 to 68.8.103.25468.8.103.255254
10568.8.104.0/2468.8.104.1 to 68.8.104.25468.8.104.255254
10668.8.105.0/2468.8.105.1 to 68.8.105.25468.8.105.255254
10768.8.106.0/2468.8.106.1 to 68.8.106.25468.8.106.255254
10868.8.107.0/2468.8.107.1 to 68.8.107.25468.8.107.255254
10968.8.108.0/2468.8.108.1 to 68.8.108.25468.8.108.255254
11068.8.109.0/2468.8.109.1 to 68.8.109.25468.8.109.255254
11168.8.110.0/2468.8.110.1 to 68.8.110.25468.8.110.255254
11268.8.111.0/2468.8.111.1 to 68.8.111.25468.8.111.255254
11368.8.112.0/2468.8.112.1 to 68.8.112.25468.8.112.255254
11468.8.113.0/2468.8.113.1 to 68.8.113.25468.8.113.255254
11568.8.114.0/2468.8.114.1 to 68.8.114.25468.8.114.255254
11668.8.115.0/2468.8.115.1 to 68.8.115.25468.8.115.255254
11768.8.116.0/2468.8.116.1 to 68.8.116.25468.8.116.255254
11868.8.117.0/2468.8.117.1 to 68.8.117.25468.8.117.255254
11968.8.118.0/2468.8.118.1 to 68.8.118.25468.8.118.255254
12068.8.119.0/2468.8.119.1 to 68.8.119.25468.8.119.255254
12168.8.120.0/2468.8.120.1 to 68.8.120.25468.8.120.255254
12268.8.121.0/2468.8.121.1 to 68.8.121.25468.8.121.255254
12368.8.122.0/2468.8.122.1 to 68.8.122.25468.8.122.255254
12468.8.123.0/2468.8.123.1 to 68.8.123.25468.8.123.255254
12568.8.124.0/2468.8.124.1 to 68.8.124.25468.8.124.255254
12668.8.125.0/2468.8.125.1 to 68.8.125.25468.8.125.255254
12768.8.126.0/2468.8.126.1 to 68.8.126.25468.8.126.255254
12868.8.127.0/2468.8.127.1 to 68.8.127.25468.8.127.255254
12968.8.128.0/2468.8.128.1 to 68.8.128.25468.8.128.255254
13068.8.129.0/2468.8.129.1 to 68.8.129.25468.8.129.255254
13168.8.130.0/2468.8.130.1 to 68.8.130.25468.8.130.255254
13268.8.131.0/2468.8.131.1 to 68.8.131.25468.8.131.255254
13368.8.132.0/2468.8.132.1 to 68.8.132.25468.8.132.255254
13468.8.133.0/2468.8.133.1 to 68.8.133.25468.8.133.255254
13568.8.134.0/2468.8.134.1 to 68.8.134.25468.8.134.255254
13668.8.135.0/2468.8.135.1 to 68.8.135.25468.8.135.255254
13768.8.136.0/2468.8.136.1 to 68.8.136.25468.8.136.255254
13868.8.137.0/2468.8.137.1 to 68.8.137.25468.8.137.255254
13968.8.138.0/2468.8.138.1 to 68.8.138.25468.8.138.255254
14068.8.139.0/2468.8.139.1 to 68.8.139.25468.8.139.255254
14168.8.140.0/2468.8.140.1 to 68.8.140.25468.8.140.255254
14268.8.141.0/2468.8.141.1 to 68.8.141.25468.8.141.255254
14368.8.142.0/2468.8.142.1 to 68.8.142.25468.8.142.255254
14468.8.143.0/2468.8.143.1 to 68.8.143.25468.8.143.255254
14568.8.144.0/2468.8.144.1 to 68.8.144.25468.8.144.255254
14668.8.145.0/2468.8.145.1 to 68.8.145.25468.8.145.255254
14768.8.146.0/2468.8.146.1 to 68.8.146.25468.8.146.255254
14868.8.147.0/2468.8.147.1 to 68.8.147.25468.8.147.255254
14968.8.148.0/2468.8.148.1 to 68.8.148.25468.8.148.255254
15068.8.149.0/2468.8.149.1 to 68.8.149.25468.8.149.255254
15168.8.150.0/2468.8.150.1 to 68.8.150.25468.8.150.255254
15268.8.151.0/2468.8.151.1 to 68.8.151.25468.8.151.255254
15368.8.152.0/2468.8.152.1 to 68.8.152.25468.8.152.255254
15468.8.153.0/2468.8.153.1 to 68.8.153.25468.8.153.255254
15568.8.154.0/2468.8.154.1 to 68.8.154.25468.8.154.255254
15668.8.155.0/2468.8.155.1 to 68.8.155.25468.8.155.255254
15768.8.156.0/2468.8.156.1 to 68.8.156.25468.8.156.255254
15868.8.157.0/2468.8.157.1 to 68.8.157.25468.8.157.255254
15968.8.158.0/2468.8.158.1 to 68.8.158.25468.8.158.255254
16068.8.159.0/2468.8.159.1 to 68.8.159.25468.8.159.255254
16168.8.160.0/2468.8.160.1 to 68.8.160.25468.8.160.255254
16268.8.161.0/2468.8.161.1 to 68.8.161.25468.8.161.255254
16368.8.162.0/2468.8.162.1 to 68.8.162.25468.8.162.255254
16468.8.163.0/2468.8.163.1 to 68.8.163.25468.8.163.255254
16568.8.164.0/2468.8.164.1 to 68.8.164.25468.8.164.255254
16668.8.165.0/2468.8.165.1 to 68.8.165.25468.8.165.255254
16768.8.166.0/2468.8.166.1 to 68.8.166.25468.8.166.255254
16868.8.167.0/2468.8.167.1 to 68.8.167.25468.8.167.255254
16968.8.168.0/2468.8.168.1 to 68.8.168.25468.8.168.255254
17068.8.169.0/2468.8.169.1 to 68.8.169.25468.8.169.255254
17168.8.170.0/2468.8.170.1 to 68.8.170.25468.8.170.255254
17268.8.171.0/2468.8.171.1 to 68.8.171.25468.8.171.255254
17368.8.172.0/2468.8.172.1 to 68.8.172.25468.8.172.255254
17468.8.173.0/2468.8.173.1 to 68.8.173.25468.8.173.255254
17568.8.174.0/2468.8.174.1 to 68.8.174.25468.8.174.255254
17668.8.175.0/2468.8.175.1 to 68.8.175.25468.8.175.255254
17768.8.176.0/2468.8.176.1 to 68.8.176.25468.8.176.255254
17868.8.177.0/2468.8.177.1 to 68.8.177.25468.8.177.255254
17968.8.178.0/2468.8.178.1 to 68.8.178.25468.8.178.255254
18068.8.179.0/2468.8.179.1 to 68.8.179.25468.8.179.255254
18168.8.180.0/2468.8.180.1 to 68.8.180.25468.8.180.255254
18268.8.181.0/2468.8.181.1 to 68.8.181.25468.8.181.255254
18368.8.182.0/2468.8.182.1 to 68.8.182.25468.8.182.255254
18468.8.183.0/2468.8.183.1 to 68.8.183.25468.8.183.255254
18568.8.184.0/2468.8.184.1 to 68.8.184.25468.8.184.255254
18668.8.185.0/2468.8.185.1 to 68.8.185.25468.8.185.255254
18768.8.186.0/2468.8.186.1 to 68.8.186.25468.8.186.255254
18868.8.187.0/2468.8.187.1 to 68.8.187.25468.8.187.255254
18968.8.188.0/2468.8.188.1 to 68.8.188.25468.8.188.255254
19068.8.189.0/2468.8.189.1 to 68.8.189.25468.8.189.255254
19168.8.190.0/2468.8.190.1 to 68.8.190.25468.8.190.255254
19268.8.191.0/2468.8.191.1 to 68.8.191.25468.8.191.255254
19368.8.192.0/2468.8.192.1 to 68.8.192.25468.8.192.255254
19468.8.193.0/2468.8.193.1 to 68.8.193.25468.8.193.255254
19568.8.194.0/2468.8.194.1 to 68.8.194.25468.8.194.255254
19668.8.195.0/2468.8.195.1 to 68.8.195.25468.8.195.255254
19768.8.196.0/2468.8.196.1 to 68.8.196.25468.8.196.255254
19868.8.197.0/2468.8.197.1 to 68.8.197.25468.8.197.255254
19968.8.198.0/2468.8.198.1 to 68.8.198.25468.8.198.255254
20068.8.199.0/2468.8.199.1 to 68.8.199.25468.8.199.255254
20168.8.200.0/2468.8.200.1 to 68.8.200.25468.8.200.255254
20268.8.201.0/2468.8.201.1 to 68.8.201.25468.8.201.255254
20368.8.202.0/2468.8.202.1 to 68.8.202.25468.8.202.255254
20468.8.203.0/2468.8.203.1 to 68.8.203.25468.8.203.255254
20568.8.204.0/2468.8.204.1 to 68.8.204.25468.8.204.255254
20668.8.205.0/2468.8.205.1 to 68.8.205.25468.8.205.255254
20768.8.206.0/2468.8.206.1 to 68.8.206.25468.8.206.255254
20868.8.207.0/2468.8.207.1 to 68.8.207.25468.8.207.255254
20968.8.208.0/2468.8.208.1 to 68.8.208.25468.8.208.255254
21068.8.209.0/2468.8.209.1 to 68.8.209.25468.8.209.255254
21168.8.210.0/2468.8.210.1 to 68.8.210.25468.8.210.255254
21268.8.211.0/2468.8.211.1 to 68.8.211.25468.8.211.255254
21368.8.212.0/2468.8.212.1 to 68.8.212.25468.8.212.255254
21468.8.213.0/2468.8.213.1 to 68.8.213.25468.8.213.255254
21568.8.214.0/2468.8.214.1 to 68.8.214.25468.8.214.255254
21668.8.215.0/2468.8.215.1 to 68.8.215.25468.8.215.255254
21768.8.216.0/2468.8.216.1 to 68.8.216.25468.8.216.255254
21868.8.217.0/2468.8.217.1 to 68.8.217.25468.8.217.255254
21968.8.218.0/2468.8.218.1 to 68.8.218.25468.8.218.255254
22068.8.219.0/2468.8.219.1 to 68.8.219.25468.8.219.255254
22168.8.220.0/2468.8.220.1 to 68.8.220.25468.8.220.255254
22268.8.221.0/2468.8.221.1 to 68.8.221.25468.8.221.255254
22368.8.222.0/2468.8.222.1 to 68.8.222.25468.8.222.255254
22468.8.223.0/2468.8.223.1 to 68.8.223.25468.8.223.255254
22568.8.224.0/2468.8.224.1 to 68.8.224.25468.8.224.255254
22668.8.225.0/2468.8.225.1 to 68.8.225.25468.8.225.255254
22768.8.226.0/2468.8.226.1 to 68.8.226.25468.8.226.255254
22868.8.227.0/2468.8.227.1 to 68.8.227.25468.8.227.255254
22968.8.228.0/2468.8.228.1 to 68.8.228.25468.8.228.255254
23068.8.229.0/2468.8.229.1 to 68.8.229.25468.8.229.255254
23168.8.230.0/2468.8.230.1 to 68.8.230.25468.8.230.255254
23268.8.231.0/2468.8.231.1 to 68.8.231.25468.8.231.255254
23368.8.232.0/2468.8.232.1 to 68.8.232.25468.8.232.255254
23468.8.233.0/2468.8.233.1 to 68.8.233.25468.8.233.255254
23568.8.234.0/2468.8.234.1 to 68.8.234.25468.8.234.255254
23668.8.235.0/2468.8.235.1 to 68.8.235.25468.8.235.255254
23768.8.236.0/2468.8.236.1 to 68.8.236.25468.8.236.255254
23868.8.237.0/2468.8.237.1 to 68.8.237.25468.8.237.255254
23968.8.238.0/2468.8.238.1 to 68.8.238.25468.8.238.255254
24068.8.239.0/2468.8.239.1 to 68.8.239.25468.8.239.255254
24168.8.240.0/2468.8.240.1 to 68.8.240.25468.8.240.255254
24268.8.241.0/2468.8.241.1 to 68.8.241.25468.8.241.255254
24368.8.242.0/2468.8.242.1 to 68.8.242.25468.8.242.255254
24468.8.243.0/2468.8.243.1 to 68.8.243.25468.8.243.255254
24568.8.244.0/2468.8.244.1 to 68.8.244.25468.8.244.255254
24668.8.245.0/2468.8.245.1 to 68.8.245.25468.8.245.255254
24768.8.246.0/2468.8.246.1 to 68.8.246.25468.8.246.255254
24868.8.247.0/2468.8.247.1 to 68.8.247.25468.8.247.255254
24968.8.248.0/2468.8.248.1 to 68.8.248.25468.8.248.255254
25068.8.249.0/2468.8.249.1 to 68.8.249.25468.8.249.255254
25168.8.250.0/2468.8.250.1 to 68.8.250.25468.8.250.255254
25268.8.251.0/2468.8.251.1 to 68.8.251.25468.8.251.255254
25368.8.252.0/2468.8.252.1 to 68.8.252.25468.8.252.255254
25468.8.253.0/2468.8.253.1 to 68.8.253.25468.8.253.255254
25568.8.254.0/2468.8.254.1 to 68.8.254.25468.8.254.255254
25668.8.255.0/2468.8.255.1 to 68.8.255.25468.8.255.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses